<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_10) on Wed Jul 30 11:19:07 CEST 2008 -->
<TITLE>
ConstraintsFactory
</TITLE>

<META NAME="keywords" CONTENT="fr.inria.vcd.view.ConstraintsFactory class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ConstraintsFactory";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ConstraintsFactory.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../fr/inria/vcd/view/ConstraintsConnection.html" title="class in fr.inria.vcd.view"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../fr/inria/vcd/view/Iupdate.html" title="interface in fr.inria.vcd.view"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?fr/inria/vcd/view/ConstraintsFactory.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ConstraintsFactory.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
fr.inria.vcd.view</FONT>
<BR>
Class ConstraintsFactory</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>fr.inria.vcd.view.ConstraintsFactory</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <B>ConstraintsFactory</B><DT>extends java.lang.Object</DL>
</PRE>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#ConstraintsFactory(fr.inria.vcd.listener.ListConnections, fr.inria.vcd.listener.IVcdDiagram)">ConstraintsFactory</A></B>(<A HREF="../../../../fr/inria/vcd/listener/ListConnections.html" title="class in fr.inria.vcd.listener">ListConnections</A>&nbsp;list,
                   <A HREF="../../../../fr/inria/vcd/listener/IVcdDiagram.html" title="interface in fr.inria.vcd.listener">IVcdDiagram</A>&nbsp;vdt)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#addToList(java.util.ArrayList, org.eclipse.draw2d.PolylineConnection)">addToList</A></B>(java.util.ArrayList&lt;org.eclipse.draw2d.IFigure&gt;&nbsp;listSync,
          org.eclipse.draw2d.PolylineConnection&nbsp;poly)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#addToListInterval(java.util.ArrayList, org.eclipse.draw2d.PolylineConnection)">addToListInterval</A></B>(java.util.ArrayList&lt;org.eclipse.draw2d.IFigure&gt;&nbsp;listInterval,
                  org.eclipse.draw2d.PolylineConnection&nbsp;poly)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#alternateFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color, boolean)">alternateFunction</A></B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                  java.lang.String&nbsp;currentclock,
                  <A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                  org.eclipse.swt.graphics.Color&nbsp;color,
                  boolean&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.ArrayList&lt;<A HREF="../../../../fr/inria/vcd/figure/ConstraintsConnection.html" title="class in fr.inria.vcd.figure">ConstraintsConnection</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#constructPacket(org.eclipse.swt.graphics.Color, org.eclipse.draw2d.IFigure, org.eclipse.draw2d.IFigure)">constructPacket</A></B>(org.eclipse.swt.graphics.Color&nbsp;color,
                org.eclipse.draw2d.IFigure&nbsp;f1,
                org.eclipse.draw2d.IFigure&nbsp;f2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#drawConstraints(org.eclipse.draw2d.IFigure)">drawConstraints</A></B>(org.eclipse.draw2d.IFigure&nbsp;fig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#drawSyncInterval(fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color)">drawSyncInterval</A></B>(<A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                 org.eclipse.swt.graphics.Color&nbsp;color)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#filterByFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color, boolean)">filterByFunction</A></B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                 java.lang.String&nbsp;currentclock,
                 <A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                 org.eclipse.swt.graphics.Color&nbsp;color,
                 boolean&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.swt.graphics.Color</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#getIntervalcolor()">getIntervalcolor</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#hideCoincidence()">hideCoincidence</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#hideConstraints()">hideConstraints</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#hideGhost()">hideGhost</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#oneShotConstraintFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color)">oneShotConstraintFunction</A></B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                          java.lang.String&nbsp;currentclock,
                          <A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                          org.eclipse.swt.graphics.Color&nbsp;color)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#precedesFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color, boolean)">precedesFunction</A></B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                 java.lang.String&nbsp;currentclock,
                 <A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                 org.eclipse.swt.graphics.Color&nbsp;color,
                 boolean&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#redrawConstraints()">redrawConstraints</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#redrawSyncInterval(fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color)">redrawSyncInterval</A></B>(<A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                   org.eclipse.swt.graphics.Color&nbsp;color)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#sampledtoFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color, boolean)">sampledtoFunction</A></B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                  java.lang.String&nbsp;currentclock,
                  <A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                  org.eclipse.swt.graphics.Color&nbsp;color,
                  boolean&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#setIntervalcolor(org.eclipse.swt.graphics.Color)">setIntervalcolor</A></B>(org.eclipse.swt.graphics.Color&nbsp;intervalcolor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#showCoincidence(org.eclipse.draw2d.IFigure)">showCoincidence</A></B>(org.eclipse.draw2d.IFigure&nbsp;fig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#showConstraint(org.eclipse.draw2d.IFigure)">showConstraint</A></B>(org.eclipse.draw2d.IFigure&nbsp;fig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#showFireable(int)">showFireable</A></B>(int&nbsp;x)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#showGhost()">showGhost</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#showMarker(int, int)">showMarker</A></B>(int&nbsp;x,
           int&nbsp;xscroll)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#sustainsFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color, boolean)">sustainsFunction</A></B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                 java.lang.String&nbsp;currentclock,
                 <A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                 org.eclipse.swt.graphics.Color&nbsp;color,
                 boolean&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#syncFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color)">syncFunction</A></B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
             java.lang.String&nbsp;currentclock,
             <A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
             org.eclipse.swt.graphics.Color&nbsp;color)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../fr/inria/vcd/view/ConstraintsFactory.html#unionFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color, boolean)">unionFunction</A></B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
              java.lang.String&nbsp;currentclock,
              <A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
              org.eclipse.swt.graphics.Color&nbsp;color,
              boolean&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="ConstraintsFactory(fr.inria.vcd.listener.ListConnections, fr.inria.vcd.listener.IVcdDiagram)"><!-- --></A><H3>
ConstraintsFactory</H3>
<PRE>
public <B>ConstraintsFactory</B>(<A HREF="../../../../fr/inria/vcd/listener/ListConnections.html" title="class in fr.inria.vcd.listener">ListConnections</A>&nbsp;list,
                          <A HREF="../../../../fr/inria/vcd/listener/IVcdDiagram.html" title="interface in fr.inria.vcd.listener">IVcdDiagram</A>&nbsp;vdt)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="addToList(java.util.ArrayList, org.eclipse.draw2d.PolylineConnection)"><!-- --></A><H3>
addToList</H3>
<PRE>
public void <B>addToList</B>(java.util.ArrayList&lt;org.eclipse.draw2d.IFigure&gt;&nbsp;listSync,
                      org.eclipse.draw2d.PolylineConnection&nbsp;poly)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addToListInterval(java.util.ArrayList, org.eclipse.draw2d.PolylineConnection)"><!-- --></A><H3>
addToListInterval</H3>
<PRE>
public void <B>addToListInterval</B>(java.util.ArrayList&lt;org.eclipse.draw2d.IFigure&gt;&nbsp;listInterval,
                              org.eclipse.draw2d.PolylineConnection&nbsp;poly)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="alternateFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color, boolean)"><!-- --></A><H3>
alternateFunction</H3>
<PRE>
public void <B>alternateFunction</B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                              java.lang.String&nbsp;currentclock,
                              <A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                              org.eclipse.swt.graphics.Color&nbsp;color,
                              boolean&nbsp;state)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="drawConstraints(org.eclipse.draw2d.IFigure)"><!-- --></A><H3>
drawConstraints</H3>
<PRE>
public boolean <B>drawConstraints</B>(org.eclipse.draw2d.IFigure&nbsp;fig)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="drawSyncInterval(fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color)"><!-- --></A><H3>
drawSyncInterval</H3>
<PRE>
public void <B>drawSyncInterval</B>(<A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                             org.eclipse.swt.graphics.Color&nbsp;color)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="filterByFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color, boolean)"><!-- --></A><H3>
filterByFunction</H3>
<PRE>
public void <B>filterByFunction</B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                             java.lang.String&nbsp;currentclock,
                             <A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                             org.eclipse.swt.graphics.Color&nbsp;color,
                             boolean&nbsp;state)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getIntervalcolor()"><!-- --></A><H3>
getIntervalcolor</H3>
<PRE>
public org.eclipse.swt.graphics.Color <B>getIntervalcolor</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="hideCoincidence()"><!-- --></A><H3>
hideCoincidence</H3>
<PRE>
public void <B>hideCoincidence</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="hideConstraints()"><!-- --></A><H3>
hideConstraints</H3>
<PRE>
public void <B>hideConstraints</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="hideGhost()"><!-- --></A><H3>
hideGhost</H3>
<PRE>
public void <B>hideGhost</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="oneShotConstraintFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color)"><!-- --></A><H3>
oneShotConstraintFunction</H3>
<PRE>
public void <B>oneShotConstraintFunction</B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                                      java.lang.String&nbsp;currentclock,
                                      <A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                                      org.eclipse.swt.graphics.Color&nbsp;color)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="precedesFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color, boolean)"><!-- --></A><H3>
precedesFunction</H3>
<PRE>
public void <B>precedesFunction</B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                             java.lang.String&nbsp;currentclock,
                             <A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                             org.eclipse.swt.graphics.Color&nbsp;color,
                             boolean&nbsp;state)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="redrawConstraints()"><!-- --></A><H3>
redrawConstraints</H3>
<PRE>
public void <B>redrawConstraints</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="redrawSyncInterval(fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color)"><!-- --></A><H3>
redrawSyncInterval</H3>
<PRE>
public void <B>redrawSyncInterval</B>(<A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                               org.eclipse.swt.graphics.Color&nbsp;color)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="sampledtoFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color, boolean)"><!-- --></A><H3>
sampledtoFunction</H3>
<PRE>
public void <B>sampledtoFunction</B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                              java.lang.String&nbsp;currentclock,
                              <A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                              org.eclipse.swt.graphics.Color&nbsp;color,
                              boolean&nbsp;state)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setIntervalcolor(org.eclipse.swt.graphics.Color)"><!-- --></A><H3>
setIntervalcolor</H3>
<PRE>
public void <B>setIntervalcolor</B>(org.eclipse.swt.graphics.Color&nbsp;intervalcolor)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="showCoincidence(org.eclipse.draw2d.IFigure)"><!-- --></A><H3>
showCoincidence</H3>
<PRE>
public void <B>showCoincidence</B>(org.eclipse.draw2d.IFigure&nbsp;fig)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="showConstraint(org.eclipse.draw2d.IFigure)"><!-- --></A><H3>
showConstraint</H3>
<PRE>
public void <B>showConstraint</B>(org.eclipse.draw2d.IFigure&nbsp;fig)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="showFireable(int)"><!-- --></A><H3>
showFireable</H3>
<PRE>
public void <B>showFireable</B>(int&nbsp;x)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="showGhost()"><!-- --></A><H3>
showGhost</H3>
<PRE>
public void <B>showGhost</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="showMarker(int, int)"><!-- --></A><H3>
showMarker</H3>
<PRE>
public void <B>showMarker</B>(int&nbsp;x,
                       int&nbsp;xscroll)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="sustainsFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color, boolean)"><!-- --></A><H3>
sustainsFunction</H3>
<PRE>
public void <B>sustainsFunction</B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                             java.lang.String&nbsp;currentclock,
                             <A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                             org.eclipse.swt.graphics.Color&nbsp;color,
                             boolean&nbsp;state)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="constructPacket(org.eclipse.swt.graphics.Color, org.eclipse.draw2d.IFigure, org.eclipse.draw2d.IFigure)"><!-- --></A><H3>
constructPacket</H3>
<PRE>
public java.util.ArrayList&lt;<A HREF="../../../../fr/inria/vcd/figure/ConstraintsConnection.html" title="class in fr.inria.vcd.figure">ConstraintsConnection</A>&gt; <B>constructPacket</B>(org.eclipse.swt.graphics.Color&nbsp;color,
                                                                  org.eclipse.draw2d.IFigure&nbsp;f1,
                                                                  org.eclipse.draw2d.IFigure&nbsp;f2)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="syncFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color)"><!-- --></A><H3>
syncFunction</H3>
<PRE>
public void <B>syncFunction</B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                         java.lang.String&nbsp;currentclock,
                         <A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                         org.eclipse.swt.graphics.Color&nbsp;color)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="unionFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color, boolean)"><!-- --></A><H3>
unionFunction</H3>
<PRE>
public void <B>unionFunction</B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                          java.lang.String&nbsp;currentclock,
                          <A HREF="../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                          org.eclipse.swt.graphics.Color&nbsp;color,
                          boolean&nbsp;state)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ConstraintsFactory.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../fr/inria/vcd/view/ConstraintsConnection.html" title="class in fr.inria.vcd.view"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../fr/inria/vcd/view/Iupdate.html" title="interface in fr.inria.vcd.view"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?fr/inria/vcd/view/ConstraintsFactory.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ConstraintsFactory.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
